[OSM-dev] [OT] installing CPAN modules

Nick Whitelegg Nick.Whitelegg at solent.ac.uk
Thu Nov 9 09:45:35 GMT 2006


>CPAN modules sometimes don't have their prerequisites defined too
>well. If you get a message about failing tests, try scrolling back up
>the history, see if it's looking for a module that isn't there,
>install that, and try again. (Even a well-known module like LWP
>suffers from this.)

Sounds like dependency hell :-( 

>Bit::Vector, though, simply wouldn't pass one of the tests on my Mac
>(OS 10.3) no matter what I tried. Eventually I did a force install and
>it seems to be happy.

OK I'll try that. But the planet-excerpt.osm script needs some other stuff 
like HTTP::Request too (why exactly, I'm not sure) so it may just be 
easier to ask Nick H to just do an apt-get after all....

Thanks,
Nick







More information about the dev mailing list